	.text
#APP
	memmove = __GI_memmove
	memset = __GI_memset
	memcpy = __GI_memcpy
	.section	.rodata.str1.1,"aMS",@progbits,1
.LC0:
	.string	""
.LC1:
	.string	": "
.LC2:
	.string	"Signal sent by kill()"
	.section	.rodata.str1.8,"aMS",@progbits,1
	.align 8
.LC3:
	.string	"Signal generated by the completion of an asynchronous name lookup request"
	.align 8
.LC4:
	.string	"Signal generated by the completion of an I/O request"
	.section	.rodata.str1.1
.LC5:
	.string	"Signal sent by the kernel"
.LC6:
	.string	"Signal sent by sigqueue()"
	.section	.rodata.str1.8
	.align 8
.LC7:
	.string	"Signal generated by the expiration of a timer"
	.align 8
.LC8:
	.string	"Signal generated by the completion of an asynchronous I/O request"
	.align 8
.LC9:
	.string	"Signal generated by the arrival of a message on an empty message queue"
	.section	.rodata.str1.1
.LC10:
	.string	"Signal sent by tkill()"
.LC11:
	.string	"w"
.LC12:
	.string	"%s%ssignal %d\n"
.LC13:
	.string	"%s: "
.LC14:
	.string	"SIGRTMIN ("
.LC15:
	.string	"SIGRTMIN+%d ("
.LC16:
	.string	"SIGRTMAX ("
.LC17:
	.string	"SIGRTMAX-%d ("
.LC18:
	.string	"%s "
.LC19:
	.string	"%d "
.LC20:
	.string	"[%p])\n"
.LC21:
	.string	"%ld %d %ld)\n"
.LC22:
	.string	"%ld)\n"
.LC23:
	.string	"%ld %ld)\n"
.LC24:
	.string	"Unknown signal %d\n"
.LC25:
	.string	"%s ("
#NO_APP
	.text
	.p2align 4,,15
	.globl	psiginfo
	.type	psiginfo, @function
psiginfo:
	pushq	%r14
	pushq	%r13
	leaq	.LC11(%rip), %rdx
	pushq	%r12
	pushq	%rbp
	movq	%rsi, %r13
	pushq	%rbx
	movq	%rdi, %rbp
	movl	$512, %esi
	subq	$512, %rsp
	movq	%rsp, %r12
	movq	%r12, %rdi
	call	__GI___fmemopen
	testq	%rax, %rax
	je	.L58
	testq	%r13, %r13
	movq	%rax, %rbx
	je	.L5
	cmpb	$0, 0(%r13)
	jne	.L59
.L5:
	movl	0(%rbp), %r13d
	cmpl	$64, %r13d
	ja	.L6
.L62:
	leaq	__GI___sys_siglist(%rip), %rdx
	movslq	%r13d, %rax
	movq	(%rdx,%rax,8), %rsi
	testq	%rsi, %rsi
	je	.L60
	leaq	__GI__libc_intl_domainname(%rip), %rdi
	movl	$5, %edx
	call	__GI___dcgettext
	leaq	.LC25(%rip), %rsi
	movq	%rax, %rdx
	movq	%rbx, %rdi
	xorl	%eax, %eax
	call	__GI_fprintf
.L11:
	movl	0(%rbp), %eax
	movl	8(%rbp), %edx
	subl	$4, %eax
	cmpl	$25, %eax
	ja	.L16
	leaq	.L33(%rip), %rcx
	movslq	(%rcx,%rax,4), %rax
	addq	%rcx, %rax
	jmp	*%rax
	.section	.rodata
	.align 4
	.align 4
.L33:
	.long	.L32-.L33
	.long	.L45-.L33
	.long	.L16-.L33
	.long	.L34-.L33
	.long	.L35-.L33
	.long	.L16-.L33
	.long	.L16-.L33
	.long	.L36-.L33
	.long	.L16-.L33
	.long	.L16-.L33
	.long	.L16-.L33
	.long	.L16-.L33
	.long	.L16-.L33
	.long	.L13-.L33
	.long	.L16-.L33
	.long	.L16-.L33
	.long	.L16-.L33
	.long	.L16-.L33
	.long	.L16-.L33
	.long	.L16-.L33
	.long	.L16-.L33
	.long	.L16-.L33
	.long	.L16-.L33
	.long	.L16-.L33
	.long	.L16-.L33
	.long	.L15-.L33
	.text
	.p2align 4,,10
	.p2align 3
.L60:
	call	__GI___libc_current_sigrtmin
	cmpl	%eax, %r13d
	movl	0(%rbp), %r13d
	jge	.L8
	.p2align 4,,10
	.p2align 3
.L6:
	leaq	.LC24(%rip), %rsi
	leaq	__GI__libc_intl_domainname(%rip), %rdi
	movl	$5, %edx
	call	__GI___dcgettext
	movl	%r13d, %edx
	movq	%rax, %rsi
	movq	%rbx, %rdi
	xorl	%eax, %eax
	call	__GI_fprintf
.L26:
	movq	%rbx, %rdi
	call	_IO_new_fclose@PLT
	movq	%r12, %rdx
.L28:
	movl	(%rdx), %ecx
	addq	$4, %rdx
	leal	-16843009(%rcx), %eax
	notl	%ecx
	andl	%ecx, %eax
	andl	$-2139062144, %eax
	je	.L28
	movl	%eax, %ecx
	movq	%r12, %rsi
	movl	$2, %edi
	shrl	$16, %ecx
	testl	$32896, %eax
	cmove	%ecx, %eax
	leaq	2(%rdx), %rcx
	movl	%eax, %ebx
	cmove	%rcx, %rdx
	addb	%al, %bl
	sbbq	$3, %rdx
	subq	%r12, %rdx
	call	__GI___write_nocancel
	addq	$512, %rsp
	popq	%rbx
	popq	%rbp
	popq	%r12
	popq	%r13
	popq	%r14
	ret
	.p2align 4,,10
	.p2align 3
.L16:
	cmpl	$-3, %edx
	je	.L46
	jle	.L61
	cmpl	$-1, %edx
	je	.L40
	jl	.L41
	testl	%edx, %edx
	je	.L42
	cmpl	$128, %edx
	leaq	.LC5(%rip), %rsi
	jne	.L18
	.p2align 4,,10
	.p2align 3
.L17:
	leaq	__GI__libc_intl_domainname(%rip), %rdi
	movl	$5, %edx
	call	__GI___dcgettext
	leaq	.LC18(%rip), %rsi
	movq	%rax, %rdx
	movq	%rbx, %rdi
	xorl	%eax, %eax
	call	__GI_fprintf
	movl	0(%rbp), %eax
	cmpl	$11, %eax
	ja	.L24
.L64:
	movl	$2448, %edx
	btq	%rax, %rdx
	jnc	.L25
	movq	16(%rbp), %rdx
	leaq	.LC20(%rip), %rsi
	movq	%rbx, %rdi
	xorl	%eax, %eax
	call	__GI_fprintf
	jmp	.L26
	.p2align 4,,10
	.p2align 3
.L58:
	testq	%r13, %r13
	je	.L43
	cmpb	$0, 0(%r13)
	leaq	.LC1(%rip), %rcx
	je	.L43
.L3:
	movl	0(%rbp), %r8d
	leaq	.LC12(%rip), %rsi
	movq	%r13, %rdx
	xorl	%edi, %edi
	xorl	%eax, %eax
	call	__fxprintf
	addq	$512, %rsp
	popq	%rbx
	popq	%rbp
	popq	%r12
	popq	%r13
	popq	%r14
	ret
	.p2align 4,,10
	.p2align 3
.L59:
	leaq	.LC13(%rip), %rsi
	movq	%r13, %rdx
	movq	%rax, %rdi
	xorl	%eax, %eax
	call	__GI_fprintf
	movl	0(%rbp), %r13d
	cmpl	$64, %r13d
	jbe	.L62
	jmp	.L6
	.p2align 4,,10
	.p2align 3
.L61:
	cmpl	$-6, %edx
	je	.L19
	jle	.L63
	cmpl	$-5, %edx
	je	.L21
	cmpl	$-4, %edx
	leaq	.LC8(%rip), %rsi
	je	.L17
	jmp	.L18
	.p2align 4,,10
	.p2align 3
.L43:
	leaq	.LC0(%rip), %rcx
	movq	%rcx, %r13
	jmp	.L3
	.p2align 4,,10
	.p2align 3
.L45:
	leaq	codes_5(%rip), %rdi
	leaq	codestrs_5(%rip), %rsi
	movl	$2, %eax
	.p2align 4,,10
	.p2align 3
.L14:
	testl	%edx, %edx
	jle	.L16
	movslq	%edx, %rcx
	cmpq	%rax, %rcx
	ja	.L16
	movzbl	-1(%rdi,%rcx), %eax
	addq	%rax, %rsi
	jne	.L17
.L18:
	leaq	.LC19(%rip), %rsi
	xorl	%eax, %eax
	movq	%rbx, %rdi
	call	__GI_fprintf
	movl	0(%rbp), %eax
	cmpl	$11, %eax
	jbe	.L64
.L24:
	cmpl	$17, %eax
	je	.L65
.L25:
	cmpl	$29, %eax
	je	.L66
	movl	20(%rbp), %ecx
	movslq	16(%rbp), %rdx
	leaq	.LC23(%rip), %rsi
	movq	%rbx, %rdi
	xorl	%eax, %eax
	call	__GI_fprintf
	jmp	.L26
	.p2align 4,,10
	.p2align 3
.L34:
	movl	$3, %eax
	leaq	codes_7(%rip), %rdi
	leaq	codestrs_7(%rip), %rsi
	jmp	.L14
	.p2align 4,,10
	.p2align 3
.L15:
	movl	$6, %eax
	leaq	codes_29(%rip), %rdi
	leaq	codestrs_29(%rip), %rsi
	jmp	.L14
	.p2align 4,,10
	.p2align 3
.L13:
	movl	$6, %eax
	leaq	codes_17(%rip), %rdi
	leaq	codestrs_17(%rip), %rsi
	jmp	.L14
	.p2align 4,,10
	.p2align 3
.L36:
	movl	$2, %eax
	leaq	codes_11(%rip), %rdi
	leaq	codestrs_11(%rip), %rsi
	jmp	.L14
	.p2align 4,,10
	.p2align 3
.L35:
	movl	$8, %eax
	leaq	codes_8(%rip), %rdi
	leaq	codestrs_8(%rip), %rsi
	jmp	.L14
	.p2align 4,,10
	.p2align 3
.L32:
	movl	$8, %eax
	leaq	codes_4(%rip), %rdi
	leaq	codestrs_4(%rip), %rsi
	jmp	.L14
	.p2align 4,,10
	.p2align 3
.L8:
	call	__GI___libc_current_sigrtmax
	cmpl	%eax, %r13d
	movl	0(%rbp), %r13d
	jge	.L6
	call	__GI___libc_current_sigrtmin
	subl	%eax, %r13d
	call	__GI___libc_current_sigrtmax
	movl	0(%rbp), %r14d
	subl	%r14d, %eax
	cmpl	%eax, %r13d
	jge	.L67
	call	__GI___libc_current_sigrtmin
	cmpl	%eax, %r14d
	je	.L68
	movl	0(%rbp), %r13d
	call	__GI___libc_current_sigrtmin
	leaq	.LC15(%rip), %rsi
	movq	%rbx, %rdi
	movl	%r13d, %edx
	subl	%eax, %edx
	xorl	%eax, %eax
	call	__GI_fprintf
	jmp	.L11
	.p2align 4,,10
	.p2align 3
.L21:
	leaq	.LC4(%rip), %rsi
	jmp	.L17
	.p2align 4,,10
	.p2align 3
.L42:
	leaq	.LC2(%rip), %rsi
	jmp	.L17
	.p2align 4,,10
	.p2align 3
.L67:
	call	__GI___libc_current_sigrtmax
	cmpl	%eax, %r14d
	je	.L69
	call	__GI___libc_current_sigrtmax
	subl	0(%rbp), %eax
	leaq	.LC17(%rip), %rsi
	movq	%rbx, %rdi
	movl	%eax, %edx
	xorl	%eax, %eax
	call	__GI_fprintf
	jmp	.L11
	.p2align 4,,10
	.p2align 3
.L66:
	movq	16(%rbp), %rdx
	leaq	.LC22(%rip), %rsi
	movq	%rbx, %rdi
	xorl	%eax, %eax
	call	__GI_fprintf
	jmp	.L26
	.p2align 4,,10
	.p2align 3
.L19:
	leaq	.LC10(%rip), %rsi
	jmp	.L17
	.p2align 4,,10
	.p2align 3
.L63:
	cmpl	$-60, %edx
	leaq	.LC3(%rip), %rsi
	je	.L17
	jmp	.L18
	.p2align 4,,10
	.p2align 3
.L46:
	leaq	.LC9(%rip), %rsi
	jmp	.L17
	.p2align 4,,10
	.p2align 3
.L41:
	leaq	.LC7(%rip), %rsi
	jmp	.L17
	.p2align 4,,10
	.p2align 3
.L40:
	leaq	.LC6(%rip), %rsi
	jmp	.L17
	.p2align 4,,10
	.p2align 3
.L65:
	movslq	16(%rbp), %rdx
	movl	20(%rbp), %r8d
	leaq	.LC21(%rip), %rsi
	movl	24(%rbp), %ecx
	movq	%rbx, %rdi
	xorl	%eax, %eax
	call	__GI_fprintf
	jmp	.L26
	.p2align 4,,10
	.p2align 3
.L68:
	leaq	.LC14(%rip), %rdi
	movq	%rbx, %rcx
	movl	$10, %edx
	movl	$1, %esi
	call	__GI_fwrite@PLT
	jmp	.L11
	.p2align 4,,10
	.p2align 3
.L69:
	leaq	.LC16(%rip), %rdi
	movq	%rbx, %rcx
	movl	$10, %edx
	movl	$1, %esi
	call	__GI_fwrite@PLT
	jmp	.L11
	.size	psiginfo, .-psiginfo
	.section	.rodata
	.type	codes_29, @object
	.size	codes_29, 6
codes_29:
	.byte	0
	.byte	21
	.byte	46
	.byte	70
	.byte	80
	.byte	110
	.align 32
	.type	codestrs_29, @object
	.size	codestrs_29, 130
codestrs_29:
	.string	"Data input available"
	.string	"Output buffers available"
	.string	"Input message available"
	.string	"I/O error"
	.string	"High priority input available"
	.string	"Device disconnected"
	.type	codes_17, @object
	.size	codes_17, 6
codes_17:
	.byte	0
	.byte	17
	.byte	80
	.byte	-120
	.byte	-95
	.byte	-77
	.align 32
	.type	codestrs_17, @object
	.size	codestrs_17, 207
codestrs_17:
	.string	"Child has exited"
	.string	"Child has terminated abnormally and did not create a core file"
	.string	"Child has terminated abnormally and created a core file"
	.string	"Traced child has trapped"
	.string	"Child has stopped"
	.string	"Stopped child has continued"
	.type	codes_5, @object
	.size	codes_5, 2
codes_5:
	.byte	0
	.byte	19
	.align 32
	.type	codestrs_5, @object
	.size	codestrs_5, 38
codestrs_5:
	.string	"Process breakpoint"
	.string	"Process trace trap"
	.type	codes_7, @object
	.size	codes_7, 3
codes_7:
	.byte	0
	.byte	26
	.byte	55
	.align 32
	.type	codestrs_7, @object
	.size	codestrs_7, 86
codestrs_7:
	.string	"Invalid address alignment"
	.string	"Nonexisting physical address"
	.string	"Object-specific hardware error"
	.type	codes_11, @object
	.size	codes_11, 2
codes_11:
	.byte	0
	.byte	29
	.align 32
	.type	codestrs_11, @object
	.size	codestrs_11, 67
codestrs_11:
	.string	"Address not mapped to object"
	.string	"Invalid permissions for mapped object"
	.section	.rodata.cst8,"aM",@progbits,8
	.align 8
	.type	codes_8, @object
	.size	codes_8, 8
codes_8:
	.byte	0
	.byte	23
	.byte	40
	.byte	70
	.byte	94
	.byte	119
	.byte	-107
	.byte	-74
	.section	.rodata
	.align 32
	.type	codestrs_8, @object
	.size	codestrs_8, 205
codestrs_8:
	.string	"Integer divide by zero"
	.string	"Integer overflow"
	.string	"Floating-point divide by zero"
	.string	"Floating-point overflow"
	.string	"Floating-point underflow"
	.string	"Floating-poing inexact result"
	.string	"Invalid floating-point operation"
	.string	"Subscript out of range"
	.section	.rodata.cst8
	.align 8
	.type	codes_4, @object
	.size	codes_4, 8
codes_4:
	.byte	0
	.byte	15
	.byte	31
	.byte	55
	.byte	68
	.byte	86
	.byte	106
	.byte	124
	.section	.rodata
	.align 32
	.type	codestrs_4, @object
	.size	codestrs_4, 145
codestrs_4:
	.string	"Illegal opcode"
	.string	"Illegal operand"
	.string	"Illegal addressing mode"
	.string	"Illegal trap"
	.string	"Privileged opcode"
	.string	"Privileged register"
	.string	"Coprocessor error"
	.string	"Internal stack error"
	.hidden	__fxprintf
